:root {
	--primary: #0099e0;
	--gray: #888;
	--fg: #333;
	--bg: #fff;
}

body {
	width: 98%;
	min-height: 100vh;
	margin-inline: auto;
	font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
	/* font-size: clamp(1rem, 3vw, 1.75rem); */
	line-height: 1.5;

	background-color: var(--bg);
}

* { color: var(--fg); }
hr { border: 1px solid var(--gray); }

/* Page header */
/* src/temp/__init__.py */
.title, .description, .second { margin: 0; }
.second { color: var(--gray); }

/* General stuff */
p, ul {
	margin: 0;
	margin-bottom: 1ch;
}
h2 {
	margin-top: 0.7rem;
	margin-bottom: 0.2rem;
}

/* index.py */
.repo_link {
	h3, p { margin: 0; }
	p { margin-left: 2ch; }

	margin-bottom: 1ch;
}


#commits {
	td { padding-right: 2ch; }
	td:first-child {
		vertical-align: top;
		white-space: nowrap;
		color: var(--gray);
	}
}

/* Links */
a {
	color: var(--primary);
	text-decoration: none;
}

pre code a {
	padding-left: 4ch;
	padding-right: 1ch;
}

:target a {
	background-color: var(--primary);
	color: var(--bg);
}

#readme {
	width: min(100%, 80ch);
}
